import 'package:flutter/material.dart';
import 'package:tencent_cloud_chat_sdk/enum/V2TimAdvancedMsgListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/addConversationListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/deleteConversation.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/getConversation.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/getConversationList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/getConversationListByConversationIds.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/getConversationListByFilter.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/getTotalUnreadMessageCount.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMConversationManager/removeConversationListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/addAdvancedMessageListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/clearC2CMessageList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/clearGroupMessageList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/getHistoryMessageList.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/removeAdvancedMessageListener.dart';
import 'package:tencent_cloud_chat_sdk_example/api/V2TIMMessageManager/sendMessage.dart';

class V2TIMConversationManagerPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() {
    return _V2TIMConversationManagerState();
  }
}

class _V2TIMConversationManagerState
    extends State<V2TIMConversationManagerPage> {
  @override
  Widget build(BuildContext context) {
    final ButtonStyle style = ElevatedButton.styleFrom(
      textStyle: const TextStyle(fontSize: 20),
      padding: EdgeInsets.symmetric(vertical: 15, horizontal: 10),
    );
    return MaterialApp(
        home: Scaffold(
            appBar: AppBar(
              leading: IconButton(
                onPressed: () => Navigator.pop(context),
                icon: Icon(Icons.arrow_back_ios),
              ),
              title: Text('V2TIMConversationManager 会话模块'),
            ),
            body: Center(
              child: Column(
                children: [
                  Row(
                    children: [
                      ElevatedButton(
                        child: Text('GetConversationList 获取会话列表'),
                        style: style,
                        onPressed: () {
                          Navigator.push(
                            context,
                            MaterialPageRoute(
                                builder: (context) => GetConversationList()),
                          );
                        },
                      ),
                      SizedBox(
                        width: 10,
                      ),
                      ElevatedButton(
                        child: Text('GetConversaiton 获取会话'),
                        style: style,
                        onPressed: () {
                          Navigator.push(
                            context,
                            MaterialPageRoute(
                                builder: (context) => GetConversation()),
                          );
                        },
                      ),
                      SizedBox(
                        width: 10,
                      ),
                    ],
                  ),
                  SizedBox(
                    height: 10,
                  ),
                  Row(
                    children: [
                      ElevatedButton(
                        child: Text('DeleteConversation 删除会话'),
                        style: style,
                        onPressed: () {
                          Navigator.push(
                            context,
                            MaterialPageRoute(
                                builder: (context) => DeleteConversation()),
                          );
                        },
                      ),
                      SizedBox(
                        width: 10,
                      ),
                      ElevatedButton(
                        child: Text('GetTotalUnreadMessageCount 获取会话未读总数'),
                        style: style,
                        onPressed: () {
                          Navigator.push(
                            context,
                            MaterialPageRoute(
                                builder: (context) =>
                                    GetTotalUnreadMessageCount()),
                          );
                        },
                      ),
                    ],
                  ),
                  SizedBox(
                    height: 10,
                  ),
                  Row(
                    children: [
                      ElevatedButton(
                        child: Text(
                            'getConversationByConversationIds 通过会话ID获取指定会话列表'),
                        style: style,
                        onPressed: () {
                          Navigator.push(
                            context,
                            MaterialPageRoute(
                                builder: (context) =>
                                    GetConversationListByConversationIds()),
                          );
                        },
                      ),
                    ],
                  ),
                  SizedBox(
                    height: 10,
                  ),
                  Row(
                    children: [
                      ElevatedButton(
                        child: Text('getConversationListByFilter 获取会话列表的高级接口'),
                        style: style,
                        onPressed: () {
                          Navigator.push(
                            context,
                            MaterialPageRoute(
                                builder: (context) =>
                                    GetConversationListByFilter()),
                          );
                        },
                      ),
                    ],
                  ),
                ],
              ),
            )));
  }
}
